2019. március 26., kedd

Gyorskeresés

Deluge daemon ubi szerverre

Írta: |

[ ÚJ BEJEGYZÉS ]

Először egy kis magyarázat miért is kell egy rutorrent, vagy transmission után egy harmadik torrent szerver leírás.
Az egyik érv a változatosság gyönyörködtet. A másik pedig miért ne? Komolyra fordítva a szót az interneten sokan jobbnak tartják mint az rtorrent változatokat.
A RAID5 is bonyolultnak nézett ki addig míg el nem kezdtem vele foglalkozni. Hát a Deluge-tól is húzódoztam ,de meglátjuk fölöslegesen.
Most is mint korábban ez is csak nekem szól. Így ha van segítő szándékod köszi előre is. Először mindig nyers a leírás. Lehet benne hiba amit talán idővel
kijavítok. Itt is valószínűleg megy a több felhasználós dolog, de ez majd később.Ubi szero nem desktop. Aki azt akar az máris abbahagyhatja az olvasást,
mert a desktop-on két katt, és kész.Copy-paste, nem nagy tudomány az egész.

sudo apt-get install python-software-properties***e nélkül nem tudod hozzáadni a repository-t!!!!
sudo add-apt-repository ppa:deluge-team/ppa
sudo adduser --disabled-password --system --home /var/lib/deluge --gecos "Brogyi Deluge szerver" --group deluge
sudo touch /var/log/deluged.log
sudo touch /var/log/deluge-web.log
sudo chown deluge:deluge /var/log/deluge*
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install deluged
sudo apt-get install deluge-web deluge-webui***A webui szinte biztos nem kell,de én ki nem veszem :D
sudo vim /etc/default/deluge-daemon

Ezt illeszd be:
# Configuration for /etc/init.d/deluge-daemon
# The init.d script will only run if this variable non-empty.
DELUGED_USER="deluge"
RUN_AT_STARTUP="YES"

Amikor beilleszted a putty ablakba néha lemarad egy vagy két betű.Mindig ellenőrizd!
Nyomd meg az “Esc”-pet majd “:wq”.Az “:q!” kóddal kilépsz,és nem változtat a file-on.
A h/j/k/l a kurzor mozgatása,majd i mint insert.
sudo vim /etc/init.d/deluge-daemon
A sript helye a weben.
A [link]
A lustáknak itt:

#!/bin/sh
### BEGIN INIT INFO
# Provides: deluge-daemon
# Required-Start: $local_fs $remote_fs
# Required-Stop: $local_fs $remote_fs
# Should-Start: $network
# Should-Stop: $network
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Daemonized version of deluge and webui.
# Description: Starts the deluge daemon with the user specified in
# /etc/default/deluge-daemon.
### END INIT INFO

# Author: Adolfo R. Brandes
# Modified: Sami Olmari

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DESC="Deluge Daemon"
NAME1="deluged"
NAME2="deluge-web"
DAEMON1=/usr/bin/deluged
DAEMON1_ARGS="-d -c /var/lib/deluge -l /var/log/deluged.log -L warning"
DAEMON2=/usr/bin/deluge-web
DAEMON2_ARGS="-p 9092 -c /var/lib/deluge -l /var/log/deluge-web.log -L warning"
PIDFILE1=/var/run/$NAME1.pid
PIDFILE2=/var/run/$NAME2.pid
PKGNAME=deluge-daemon
SCRIPTNAME=/etc/init.d/$PKGNAME

# Exit if the package is not installed
[ -x "$DAEMON1" -a -x "$DAEMON2" ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$PKGNAME ] && . /etc/default/$PKGNAME

# Load the VERBOSE setting and other rcS variables
[ -f /etc/default/rcS ] && . /etc/default/rcS

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions

if [ -z "$RUN_AT_STARTUP" -o "$RUN_AT_STARTUP" != "YES" ]
then
log_warning_msg "Not starting $PKGNAME, edit /etc/default/$PKGNAME to start it."
exit 0
fi

if [ -z "$DELUGED_USER" ]
then
log_warning_msg "Not starting $PKGNAME, DELUGED_USER not set in /etc/default/$PKGNAME."
exit 0
fi

#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --background --quiet --pidfile $PIDFILE1 --exec $DAEMON1 \
--chuid $DELUGED_USER --user $DELUGED_USER --test > /dev/null
RETVAL1="$?"
start-stop-daemon --start --background --quiet --pidfile $PIDFILE2 --exec $DAEMON2 \
--chuid $DELUGED_USER --user $DELUGED_USER --test > /dev/null
RETVAL2="$?"
[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 1

start-stop-daemon --start --background --quiet --pidfile $PIDFILE1 --make-pidfile --exec $DAEMON1 \
--chuid $DELUGED_USER --user $DELUGED_USER -- $DAEMON1_ARGS
RETVAL1="$?"
sleep 2
start-stop-daemon --start --background --quiet --pidfile $PIDFILE2 --make-pidfile --exec $DAEMON2 \
--chuid $DELUGED_USER --user $DELUGED_USER -- $DAEMON2_ARGS
RETVAL2="$?"
[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 2
}

#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred

start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --user $DELUGED_USER --pidfile $PIDFILE2
RETVAL2="$?"
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --user $DELUGED_USER --pidfile $PIDFILE1
RETVAL1="$?"
[ "$RETVAL1" = "2" -o "$RETVAL2" = "2" ] && return 2

rm -f $PIDFILE1 $PIDFILE2

[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] && return 0 || return 1
}

case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME1"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME1"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
restart|force-reload)
log_daemon_msg "Restarting $DESC" "$NAME1"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
exit 3
;;
esac

:

Használata:
/etc/init.d/deluge-daemon {start|stop|restart|force-reload}
Pl:sudo /etc/init.d/deluge-daemon stop
A qbittorrent-nox része hasonló.Később arról is írok majd.
Vigyázni itt is a beillesztésnél! Általában az eleje hiányzik csak.
Amikor beilleszted a putty ablakba néha lemarad egy vagy két betű.Mindig ellenőrizd!
Nyomd meg az “Esc”-pet majd “:wq”.Az “:q!” kóddal javíthatsz.
A port amin kommunikál(9092) azt itt változtathatod meg:
DAEMON2_ARGS="-p 9092 -c /var/lib/deluge -l /var/log/deluge-web.log -L warning"
Ha pedig a következő sorba javítasz akkor tudsz multi user-es dolgot csinálni.
DAEMON1_ARGS="-d -p 9093 -c /var/lib/deluge -l /var/log/deluged.log -L warning"
Minden user-nek kell egy script, de külöböző porttal.A "connection manager"-ben kell kiválasztani, hogy
melyiket akarja futatni.
sudo chmod a+x /etc/init.d/deluge-daemon***Futtathatóvá tesszük.
sudo update-rc.d deluge-daemon defaults***A scriptnek futnia kell az indulásnál.
sudo reboot -h now***Cross your fingers it might even work:)
ps -fp $(pgrep -d, -x deluged)
ps -fp $(pgrep -d, -x deluge-web)

Az utolsó kettő csak ellenőrzés.Ha valamelyik nincs meg akkor jogosan nem működik. A "kapcsolat kezelő"-nek státusza "kapcsolódva", valamint a verzió a helyes számot kell mutatnia pl.1.3.5.
Rövid tapasztalatom a letöltési sebességgel annyi, hogy ezzel a konfigurációval a legnagyobb.Így most ez marad mivel ez használja ki legjobban az elérhető sávszélességet.

Fordítás forrásból desktop-ra,server-re:

sudo apt-get install python python-twisted python-twisted-web2 python-openssl python-simplejson python-setuptools gettext intltool python-xdg python-chardet python-geoip python-libtorrent python-notify python-pygame python-gtk2 python-gtk2-dev librsvg2-dev xdg-utils python-mako
cd /tmp
wget http://download.deluge-torrent.org/source/deluge-1.3.7.tar.gz
tar zxfv deluge-1.3.7.tar.gz
cd /tmp/deluge-1.3.7
python setup.py clean -a
python setup.py build
sudo python setup.py install --install-layout=deb

Erre a néhány sorra nincs szükség ha a kollégák időben megírták a ppa-t.Nem csak ezért került bele a
leírásba.Az igazi ok, hogy meglepően hamar lefordul,és talán jobb kód, mint egyéb precompiled verziók.
Egy kis kiegészítés a magnetlinkhez,mert az ubi a transmission-t hozza fel.
In this case:

1. Go to the page with the link
2. click the link and Firefox will ask how to proceed on. (Launch Application mini window)
3. Click 'Choose' on the Choose an Application tab
4. In the location bar type: "/usr/bin/deluge-gtk" and click ok.
5. Tick "Remember my choice for magnet links".
6. You can open the link now.

Have fun.

Copyright © 2000-2019 PROHARDVER Informatikai Kft.